package twi

import (
	"courseSign/server/api/v1"
	"courseSign/server/middleware"
	"github.com/gin-gonic/gin"
)

type TwiProjectRouter struct {
}

// InitTwiProjectRouter 初始化 TwiProject 路由信息
func (s *TwiProjectRouter) InitTwiProjectRouter(Router *gin.RouterGroup) {
	twiProjectRouter := Router.Group("twiProject").Use(middleware.OperationRecord())
	twiProjectRouterWithoutRecord := Router.Group("twiProject")
	var twiProjectApi = v1.ApiGroupApp.TwiApiGroup.TwiProjectApi
	{
		twiProjectRouter.POST("createTwiProject", twiProjectApi.CreateTwiProject)   // 新建TwiProject
		twiProjectRouter.DELETE("deleteTwiProject", twiProjectApi.DeleteTwiProject) // 删除TwiProject
		twiProjectRouter.DELETE("deleteTwiProjectByIds", twiProjectApi.DeleteTwiProjectByIds) // 批量删除TwiProject
		twiProjectRouter.PUT("updateTwiProject", twiProjectApi.UpdateTwiProject)    // 更新TwiProject
	}
	{
		twiProjectRouterWithoutRecord.GET("findTwiProject", twiProjectApi.FindTwiProject)        // 根据ID获取TwiProject
		twiProjectRouterWithoutRecord.GET("getTwiProjectList", twiProjectApi.GetTwiProjectList)  // 获取TwiProject列表
	}
}
